using System;
using System.Security.Cryptography ;

namespace mobileBO 
{
	/// <summary>
	/// Clase Fachada para manejar todos los metodos expuestos para el sistema 
	/// Fachada # 1
	/// </summary>
	public class Facade : System.MarshalByRefObject
	{	
		/// <summary>
		/// Constructor
		/// </summary>
		public Facade()
		{
		}

		#region Paises
		/// <summary>
		/// Almacena un Entity..ListaPaises en la base de datos
		/// </summary>
		/// <param name="listaPaises">una entidad Entity..ListaPaises</param>
		public void GuardarPais(Entity.ListaPaises listaPaises)
		{
			new mobileBO.PaisBO().Guardar(listaPaises);
		}

		/// <summary>
		/// Obtiene un Entity..Pais
		/// </summary>
		/// <param name="pais">Guid para identificar el pais</param>
		/// <returns>una entidad Entity..Pais</returns>
		public Entity.Pais TraerPaises(int pais)
		{
			return new mobileBO.PaisBO().TraerPaises(pais);
		}

		/// <summary>
		/// Obtiene un Entity..ListaPaises
		/// </summary>
		/// <returns>una entidad Entity..ListaPaises</returns>
		public Entity.ListaPaises TraerPaises()
		{
			return new mobileBO.PaisBO().TraerPaises();
		}

		#endregion //Paises

		#region Entidades
		/// <summary>
		/// Almacena un Entity..ListaEntidades en la base de datos
		/// </summary>
		/// <param name="listaEntidades">una entidad Entity..ListaEntidades</param>
		public void GuardarEntidad(ref Entity.ListaEntidades listaEntidades)
		{
			new mobileBO.EntidadBO().Guardar(ref listaEntidades);
		}

		/// <summary>
		/// Obtiene un Entity..Entidad
		/// </summary>
		/// <param name="entidadId">Guid para identificar el entidadId</param>
		/// <returns>una entidad Entity..Entidad</returns>
		public Entity.Entidad TraerEntidades(int entidad)
		{
			return new mobileBO.EntidadBO().TraerEntidades(entidad);
		}

		/// <summary>
		/// Obtiene un Entity..ListaEntidades
		/// </summary>
		/// <returns>una entidad Entity..ListaEntidades</returns>
		public Entity.ListaEntidades TraerEntidades()
		{
			return new mobileBO.EntidadBO().TraerEntidades();
		}

		#endregion //Entidades
	}
}